SDL_WindowShapeMode Struct Reference

A struct that tags the SDL_WindowShapeParams union with an enum describing the type of its contents. More...

`#include <SDL_shape.h>`

Collaboration diagram for SDL_WindowShapeMode:
[legend]

## Data Fields

WindowShapeMode | mode
| The mode of these window-shape parameters. More...
SDL_WindowShapeParams | parameters
| Window-shape parameters. More...

## Detailed Description

A struct that tags the SDL_WindowShapeParams union with an enum describing the type of its contents.

Definition at line 100 of file SDL_shape.h.

## Field Documentation

WindowShapeMode SDL_WindowShapeMode::mode

The mode of these window-shape parameters.

Definition at line 102 of file SDL_shape.h.

Referenced by main(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), and SDL_CreateShapedWindow().

SDL_WindowShapeParams SDL_WindowShapeMode::parameters

Window-shape parameters.

Definition at line 104 of file SDL_shape.h.

Referenced by main(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), and SDL_CreateShapedWindow().

The documentation for this struct was generated from the following file:

- include/SDL_shape.h